summaryrefslogtreecommitdiff
path: root/qa/597
diff options
context:
space:
mode:
Diffstat (limited to 'qa/597')
-rwxr-xr-xqa/59767
1 files changed, 67 insertions, 0 deletions
diff --git a/qa/597 b/qa/597
new file mode 100755
index 0000000..d98f150
--- /dev/null
+++ b/qa/597
@@ -0,0 +1,67 @@
+#! /bin/sh
+# PCP QA Test No. 597
+# Install/Remove of shping PMDA
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out
+if [ $PCP_VER -lt 3600 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+_cleanup()
+{
+ _restore_pmda_install $iam
+ $sudo rm -f $tmp.*
+ exit $status
+}
+
+_filter()
+{
+ $PCP_AWK_PROG '
+/--- end \.\/sample\.conf ---/ { skip = 0 }
+skip == 0 { print }
+/--- start \.\/sample\.conf ---/{ print "[deleted]"; skip = 1 }
+'
+}
+
+iam=shping
+status=1
+trap "_cleanup" 0 1 2 3 15
+
+# real QA test starts here
+_prepare_pmda_install $iam
+
+echo
+echo "=== default $iam agent installation ==="
+$sudo ./Remove > $tmp.out 2>&1
+$sudo ./Install </dev/null >>$tmp.out 2>&1
+_filter_pmda_install <$tmp.out | _filter
+
+if pminfo -v $iam
+then
+ :
+else
+ echo "... failed! ... here is the Install log ..."
+ cat $tmp.out
+fi
+
+echo
+echo "=== remove $iam agent ==="
+$sudo ./Remove >$tmp.out 2>&1
+_filter_pmda_remove <$tmp.out
+
+status=0
+exit